/**
 * Wordpress SyntaxHighlighter brush for D
 * By Hans-Eric Grnlund, www.hans-eric.com
 *
 * Copyright (C) 2010 Hans-Eric Grnlund
 * 
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 * 
 */
SyntaxHighlighter.brushes.D = function()
{
	var keywords =
	  'abstract alias align asm assert auto body bool break byte case cast ' +
	  'catch cdouble cent cfloat char class const continue creal dchar debug ' +
		'default delegate delete deprecated do double else enum export extern ' +
		'false final finally float for foreach foreach_reverse function goto ' +
		'idouble if ifloat immutable import in inout int interface invariant ' +
		'ireal is lazy long macro mixin module new nothrow null out override ' +
		'package pragma private protected public pure real ref return scope ' +
		'shared short static struct super switch synchronized template this ' +
		'throw true try typedef typeid typeof ubyte ucent uint ulong union ' +
		'unittest ushort version void volatile wchar while with __FILE__ ' +
		'__LINE__ __gshared __thread __traits';

	this.regexList = [
		{ regex: /\/\+[\s\S]*?\+\//gm,								css: 'comments' },  	// multiline comments /+ +/
		{ regex: SyntaxHighlighter.regexLib.singleLineCComments,	css: 'comments' },
		{ regex: SyntaxHighlighter.regexLib.multiLineCComments,		css: 'comments' },
		{ regex: SyntaxHighlighter.regexLib.doubleQuotedString,		css: 'string' },
		{ regex: SyntaxHighlighter.regexLib.singleQuotedString,		css: 'string' },
		{ regex: new RegExp(this.getKeywords(keywords), 'gm'),		css: 'keyword bold' }
		];
};

SyntaxHighlighter.brushes.D.prototype	= new SyntaxHighlighter.Highlighter();
SyntaxHighlighter.brushes.D.aliases	= ['d'];
