<?php
/*
Plugin Name: SyntaxHighlighter Evolved: D Brush
Description: Adds support for the D language to the SyntaxHighlighter Evolved plugin.
Author: Hans-Eric Gr&ouml;nlund
Version: 1.0.1
Author URI: http://www.hans-eric.com/
*/

// SyntaxHighlighter Evolved doesn't do anything until early in the "init" hook, so best to wait until after that
add_action( 'init', 'syntaxhighlighter_d_regscript' );

// Tell SyntaxHighlighter Evolved about this new language/brush
add_filter( 'syntaxhighlighter_brushes', 'syntaxhighlighter_d_addlang' );

// Register the brush file with WordPress
function syntaxhighlighter_d_regscript() {
	wp_register_script( 'syntaxhighlighter-brush-d', plugins_url( 'shBrushD.js', __FILE__ ), array('syntaxhighlighter-core'), '1.0.1' );
}

// Filter SyntaxHighlighter Evolved's language array
function syntaxhighlighter_d_addlang( $brushes ) {
	$brushes['d'] = 'd';

	return $brushes;
}

?>